
import squint.*;
import javax.swing.*;

/*
 * Class DateClient - Contacts a specified DAYTIME protocol server
 * and displays its response
 */
public class DateClient extends GUIManager
{
   // Change these values to adjust the size of the program's window
   private final int WINDOW_WIDTH  = 400;
   private final int WINDOW_HEIGHT = 400;
   
   // Place to enter the server's address
   private JTextField serverField;
   
   // Width of the field used to enter the server's name
   private final int SERVER_NAME_LENGTH = 20;

   // Standard port for connection to a DAYTIME server
   private final int DAYTIME_PORT = 13;

   /*
    *  Create an interface with a field to enter the server's
    *  domain name and a button to click.
    */
    public DateClient() {
      // Create window to hold all the components
      this.createWindow( WINDOW_WIDTH, WINDOW_HEIGHT );
   
      contentPane.add( new JButton( "Get the time" ) );

      contentPane.add( new JLabel( "Server:" ) );
      
      serverField = new JTextField( SERVER_NAME_LENGTH );
      contentPane.add( serverField );
      
    }

   /*
    *  Request the time and display it
    */
    public void buttonClicked( ) {
        // Make the connection to the DAYTIME server
        NetConnection toServer;
        toServer = new NetConnection( serverField.getText(), DAYTIME_PORT );
        
        // Display two lines received
        contentPane.add( new JLabel( toServer.in.nextLine() ) );
        contentPane.add( new JLabel( toServer.in.nextLine() ) );
        
        // Say goodbye
        toServer.close();
    }
}
